<template>
  <v-card class="rounded-xl">
    <v-card-title class="justify-center labelStyle mx-12 pt-6">
      Calificación del servicio de atención al cliente
    </v-card-title>
    <v-row cols="12">
      <v-col lg="4" md="12" sm="12" cols="12" align="center">
        <chart-radial
          ref="SecondChartRadial"
          title="Puntaje promedio obtenido"
          :value="this.secondReport.averageScore"
          :total="5"
          height="300"
          width="300"
        />
      </v-col>
      <v-col lg="8" md="12" sm="12" cols="12" align="center">
        <dynamic-loaded-chart
          ref="SecondChartDynamic"
          :scoreXReason="this.datos.scoreXReason"
          :scoreDetails="this.datos.scoreDetails"
        />
      </v-col>
    </v-row>
  </v-card>
</template>
<script>
import DynamicLoadedChart from '~/components/Dashboard/DynamicLoadedChart';
import ChartRadial from '~/components/Dashboard/ChartRadial';
import { mapActions, mapState } from 'vuex';
export default {
  name: 'SecondChart',
  components: { DynamicLoadedChart, ChartRadial },
  data() {
    return {
      datos: {
        averageScore: 5,
        scoreXReason: [{
          data: [3, 2.2, 5, 4, 3.5],
        }],
        scoreDetails: [
          [1, 2, 3, 4, 5],
          [2, 3, 4, 5, 6],
          [3, 3, 3, 3, 3],
          [4, 4, 4, 4, 4],
          [5, 5, 5, 5, 5],
        ],
      },
    };
  },
  computed: {
    ...mapState({
      firstReport: state => state.providercompany['client-company'].firstReport,
      secondReport: state => state.providercompany['client-company'].secondReport,
    }),
  },
  methods: {
    ...mapActions({
      updateSecondChart: 'providercompany/client-company/getReportFrequencyAttentionXReason',
    }),
    async getDashboard(end, start, clientCompanyId) {
      const params = { endDate: end, initDate: start, clientCompanyId };
      await this.updateSecondChart(params);
      this.$refs.SecondChartDynamic.updateChartDynamic(this.secondReport, this.firstReport.motivos);
      console.log(this.secondReport.averageScore);
      this.$refs.SecondChartRadial.updateChartRadial(this.secondReport.averageScore);
    },
  },
};
</script>
<style scoped>
.labelStyle{
  font-family: "Montserrat", sans-serif;
  font-size: 16px;
  color: #505050;
  font-weight: 700;
  text-align: center;
}
</style>
